%define	desktop_vendor	anjuta
%define	name		anjuta
%define	version		1.0.2
%define	release		0uv1
%define	serial		1

Summary:	GNOME IDE for C and C++
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL2
Group:		Development/Tools
URL:		http://anjuta.org/
Vendor:		win2linux
Source:		%{name}-%{version}.tar.gz
Patch:		%{name}-jp.patch
BuildRoot:	/var/tmp/%{name}-%{version}
Docdir:		%{_docdir}
Requires:	glib >= 1.2.8, gtk+ >= 1.2.8, gnome-libs >= 1.2.8, scrollkeeper >= 0.1.4, libxml >= 1.4.0, libxml < 2.0.0, ORBit >= 0.5.0, gnome-print >= 0.35, gdk-pixbuf, libglade >= 0.15, pcre >= 3.9
BuildRequires:	glib-devel >= 1.2.8, gtk+-devel >= 1.2.8, gnome-libs >= 1.2.8, scrollkeeper >= 0.1.4, libxml >= 1.4.0, libxml < 2.0.0, libxml-devel, ORBit >= 0.5.0, ORBit-devel, gnome-print-devel >= 0.35, gdk-pixbuf-devel, libglade-devel, pcre-devel

Distribution:	Vine Linux
Packager:	Yasumichi Akahoshi <yasumichi@users.sourceforge.jp>

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++. 
It has been written for GTK/GNOME, and features a number of advanced 
programming facilities. It is basically a GUI interface for the collection 
of command line programming utilities and tools available for the GNU system. 
These are usually run via a text console, and can be unfriendly to use.

%package i18n
Summary: Anjuta i18n Translations
Group: Development/Tools

%description i18n
Translations of Anjuta UI elements in various languages.

%package docs-en
Summary: Anjuta docuemntation in English.
Group: Development/Tools

%description docs-en
Anjuta documentation in English.

%package docs-ja
Summary: Anjuta docuemntation in Japanese.
Group: Development/Tools

%description docs-ja
Anjuta documentation in Japanese.

%prep
%setup -q
%patch -p1

%build
%configure --enable-final
make

%install
rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}%{_datadir}/gnome/apps/Development/
cat > %{buildroot}%{_datadir}/gnome/apps/Development/anjuta.desktop << EOF
[Desktop Entry]
Name=Anjuta
Comment=GNOME IDE for C and C++
Exec=anjuta
Icon=%{_datadir}/pixmaps/%{name}/%{name}_icon.png
Terminal=0
Type=Application
EOF
chmod 644 %{buildroot}%{_datadir}/gnome/apps/Development/anjuta.desktop

%clean
rm -rf %{buildroot}

%post
scrollkeeper-update || :

%postun
scrollkeeper-update || :

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc doc/ScintillaDoc.html

%defattr(-,root,root)
%{_bindir}/%{name}*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gnome/apps/Development/%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/doc/%{name}
%{_datadir}/mime-info/anjuta.mime
%{_datadir}/mimelnk/application/x-anjuta-project.desktop
%{_mandir}/man1/*

%files i18n
%defattr(-, root, root)
%{_datadir}/locale

%files docs-en
%defattr(-, root, root)
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}/%{name}-*-C.omf
#%{_localstatedir}/scrollkeeper/*

%files docs-ja
%defattr(-, root, root)
%{_datadir}/gnome/help/%{name}/ja
%{_datadir}/omf/%{name}/%{name}-*-ja*.omf

